[![GitHub release (latest by date)](https://img.shields.io/github/v/release/Argent77/A7-GolemConstruction?color=darkred&include_prereleases&label=latest%20release)](https://github.com/Argent77/A7-GolemConstruction/releases/latest)
[![Github downloads (all releases)](https://img.shields.io/github/downloads/Argent77/A7-GolemConstruction/total.svg?color=gold)](https://github.com/Argent77/A7-GolemConstruction/releases)
[![Platform](https://img.shields.io/static/v1?label=platform&message=Windows%20%7C%20macOS%20%7C%20Linux&color=informational)](https://github.com/Argent77/A7-GolemConstruction/releases/latest)
[![Supported games](https://img.shields.io/static/v1?label=supported%20games&message=BG%3AEE%20%7C%20SoD%20%7C%20BG2%3AEE%20%7C%20EET%20%7C%20IWD%3AEE&color=indigo)](https://github.com/Argent77/A7-GolemConstruction)
[![Language](https://img.shields.io/static/v1?label=language&message=English%20%7C%20French%20%7C%20German%20%7C%20Italian%20%7C%20Polish%20%7C%20Russian&color=limegreen)](https://github.com/Argent77/A7-GolemConstruction)

# Golem Construction for Spellcasters
*A mod for BG:EE, BG2:EE, EET and IWD:EE that allows spellcasters to build their own golems.*

[![Website](https://img.shields.io/static/v1?label=Website&message=Golem%20Construction&color=ccc7ba&labelColor=eee&style=for-the-badge)](https://argent77.github.io/A7-GolemConstruction/index.html "View Readme")

[![Beamdog Forums](https://img.shields.io/static/v1?label=Discussion&message=Beamdog%20Forums&color=444&labelColor=eee&style=for-the-badge)](https://forums.beamdog.com/discussion/60602 "Beamdog Forums")
&nbsp;&nbsp;
[![SHS Forums](https://img.shields.io/static/v1?label=Discussion&message=SHS%20Forums&color=951514&labelColor=eee&style=for-the-badge)](http://www.shsforums.net/forum/652-golem-construction-ee/ "Spellhold Studios Forums")

## Overview
You can encounter a great number of golems of various types throughout the game. They are strong, resistant, and utterly loyal to their master. Unfortunately they are mostly hostile towards you.

This mod makes an attempt to change it. It scatters a number of tomes across Faerûn containing the secret knowledge of how to construct golems. Reading these books allows you to build golems by yourself, provided you have enough experience, and all the required materials at hand. Only characters knowledgeable in the arcane arts are able to understand the complex theories behind the golem construction.

Golems can exist for a virtually unlimited time (with exceptions), or until destroyed. They can travel with the party all over the world and follow the commands of their master unconditionally. 


## Components

### 1. Golem Construction Ability for Spellcasters (for BG:EE, BG2:EE, EET and IWD:EE)

The main component of the mod. It installs a number of golem building manuals which can be found all over Faerûn. The "Manual of Golem Building" comes in six volumes containing knowledge about building different types of golems. Each tome contains a single charge of powerful magic which provides the user with the "Construct Golem" and "Repair Golem" abilities. After the tome's magic is spent it can still be used as reference about building specific types of golems.

**Golem types taught by the Manuals of Golem Building:**
- Flesh Golems in lesser, regular, greater and perfect variants.
- Clay Golems in lesser, regular, greater and perfect variants.
- Stone Golems in lesser, regular, greater and perfect variants.
- Iron Golems in lesser, regular, greater and perfect variants.
- Mithral Golems in lesser, regular, greater and perfect variants.
- Adamantite Golems in lesser, regular, greater and perfect variants (not in IWD:EE).

It is rumored that there is another secret set of tomes which contains knowledge about constructing more exotic types of golems. You might also commission golems in the BG:EE part of the game if you can find the right tomes.

Each golem requires materials for constructing the physical shell, and possibly additional ingredients to implement specific key features of the golem. Creating perfect variant is a feat by itself and requires certain unique artifacts of power for the enchantment process.

The construction of golems takes time and has to be done in places with the right equipment. In Siege of Dragonspear you can try Sorcerous Sundries, the Repository of Undeath beneath the Dwarven Dig Site and the ruins of Kanaglym which are accessible from the Underground River area. In Shadows of Amn both the Planar Sphere and Jermien's Home in Imnesville may be suitable. Clerics may also use the temples in Athkatla to build clay golems if they choose one of them as their stronghold. The Wizard's Library on the second floor of Watcher's Keep can be used as well. In Throne of Bhaal your Pocket Plane may work, after installing some equipment.

In IWD:EE you can try the third level of Dragon's Eye, Larrel's Study of the Severed Hand, Bandoth's Tower in Dorn's Deep, Malavon's Home in Lower Dorn's Deep or Tiernon's Forge in the Gloomfrost Mountains (HoW).

Conventional golems may gain combat experience for each opponent they have killed. With enough experience accumulated they can be upgraded to a higher rank.

### 2. Tweaks

#### 2.1. Replace original Golem Manual (for BG2:EE and EET only)
This component removes the original Golem Manual and all additional pages completely since it became largely obsolete with this mod. Instead you will find items related to the Golem Construction Manuals provided by this mod.

#### 2.2. Improve enemy spellcaster AI (for BG2:EE and EET only)
This component improves the vanilla AI of mages and priest, so that they will attempt to use more effective measures against golems. They are still limited to their selection of memorized spells, with one exception. High level spellcasters have access to a single HLA which is randomly chosen.

#### 2.3. Golems for enemy spellcasters (for BG:SoD, BG2:EE and EET)
This component adds one or more golem servants to a number of enemy mages throughout the game to help them survive a bit longer. The actual golem types and variants are randomized at install time.

#### 2.4. Greater variety of enemy golem types (for BG:SoD, BG2:EE and EET)
This component adds more variety to the enemy golems you can encounter throughout the game. Some encounters may be harder because of it. Golems will also make use of their special abilities more effectively.

#### 2.5. Fighter Stronghold golems may continue to serve you (for BG2:EE and EET only)
This component adds a chance that one or more golems from the chapel who survive the siege start serving you if you accept de'Arnise Keep as your personal stronghold. You can find them in the chapel on the upper floor again, behind the secret doors.
- There is a 50% chance for a flesh golem if one or more flesh golems survive.
- There is a 33% chance for a stone golem if one or more stone golems survive.
- There is a 33% chance for a clay golem if the clay golem survives.
- There is a 15% chance for an iron golem if the iron golem survives.

#### 2.6. Make golems vulnerable to specific spell effects (for BG:SoD, BG2:EE, EET and IWD:EE)
This component modifies a number of spells so that they can affect specific golem types in a different and sometimes unexpected way. Some spells may cause special harmful effects while others improve or even change the nature of golems. You can find out more in "golem_information.txt".

#### 2.7. Reduce weapon immunities and resistances for constructed golems (for BG:SoD, BG2:EE and EET)
A great number of enemies have trouble hitting or damaging golems because of their numerous immunities and high resistances, even in later parts of the game. This component nerfs the power of constructed golems by reducing their weapon enchantment immunities as well as by lowering various magical, elemental and physical resistances.

#### 2.8. Identify all mod items (for all supported games)
This component will identify all items that are installed by this mod, which includes Golem Building Manuals as well as a number of special ingredients for building perfect golem variants.

#### 2.9. Add "Teleport" ability to golems (for all supported games)
This component adds the "Teleport" ability to all of your golem followers. It allows golems to jump to a party member in visual range instantly, but can only be used when no enemies are in sight.
Teleport is mainly thought as a means to get them out of narrow passageways, since several golem variants require more space to move around freely than regular party members. This ability was part of the main component in earlier mod releases.


## Copyright Notice
The mod "Golem Construction for Spellcasters" is licensed under the [Creative Commons Attribution-ShareAlike 4.0 International License](http://creativecommons.org/licenses/by-sa/4.0/).
